---
apiVersion: 1.0.0
kind: Plugin
metadata:
  name: <plugin name>
  description: <plugin description>
  icon: ./assets/<pluginName>-<pluginTYpe>.png
  signupLink: <signupLink>
  type: Gateway
  price: 0
  tags:
    - <tag1>
    - <tag2>
  loadBalancing:
    protocol: TCP
    sessionAffinity: true
  release:
    version: 1.0.0
    documentation: ./README.md
    notes: ./release-notes/RELEASE-v1.0.0.md
    config:
      foo:
        label: bar
        type: String
        required: true
        help: this is a test
        maxLength: 1000